Subject: Comments to draft-ietf-bfd-mpls-mib-00

From: Muly Ilan <[email-masked]>
Date: Mon, 16 Jul 2012 14:08:32 +0000

Hi,

1.
In section 5.2.2, Example of BFD Session configuration for Maintenance Entity of MPLS-TP TE tunnel, the object mplsOamIdMeProactiveOamSessIndex of the ME table in draft-vkst-mpls-tp-oam-id-mib is not mentioned.
It would be helpful to explain that when a BFD session with bfdMplsSessMapType=mep(6) is created in the bfdSessTable, the value of the object mplsOamIdMeProactiveOamSessIndex should be updated with the BFD session index.

2.
For the associated bidirectional LSPs case there would be two unidirectional MEs that together operate the BFD session. To which one of the MEs should the map pointer, bfdMplsSessMapPointer, point?
I think it may point to either one of the unidirectional MEs i.e. make it implementation specific, but this should be described in the MIB.

3.
The term "session mode" in RFC6428 refers to coordinated operation vs. independent operation. However the current object bfdMplsSessMode sets the BFD functionality to cc(1) or cv(2). Suggest to rename the object to bfdMplsSessFunction.

4.
There's a need to configure what is the consequent action upon mis-connectivity defect and LOC defect. Possible values: alarm only, alarm and block data.
Separate configuration for mis-connectivity and for LOC. Default value for mis-connectivity is alarm and block data. Default value for LOC is alarm only.
Maybe a common behavior for all BFD sessions is sufficient. In this case define two scalar objects.

5.
Suggest to add counters for received and transmitted CC and CV packets. Need separate counters for CC and CV.

Regards,

Muly